Bug 532784 - mc don't uses default programs for opening files
Summary: mc don't uses default programs for opening files
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 16
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-03 19:55 UTC by nucleo
Modified: 2013-07-02 23:40 UTC (History)
4 users (show)

Fixed In Version: 4.7.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 02:41:47 UTC
Type: ---


Attachments (Terms of Use)

Description nucleo 2009-11-03 19:55:19 UTC
Description of problem:
Files not opened in desktop default programs if press "Enter" on files of different types.


Version-Release number of selected component (if applicable):
mc-4.7.0-0.7.pre4

How reproducible:
Every time.

Steps to Reproduce:
1. Select file .jpg or .png, .ogv, .wav, .WAV, .djvu, .djv, .pdf, .doc. .odp or other
2. Press "Enter"
  
Actual results:
mc tries to open jpg, png files with gqview which is not installed (mc 4.6.2 opens this files in Gwenview in KDE),
ogv file tries to open with ogg123 which is not installed too,
pdf file with xpdf (mc 4.6.2 opens in Okular in KDE)
odp, doc files tries to open with ooffice
djvu, djv tries to open with djview (mc 4.6.2 in okular)
and may be the same problem with other types of files.

Expected results:
Files should be opened with desktop default application for each file type.

Additional info:

Comment 1 Bug Zapper 2009-11-16 15:01:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2009-12-11 09:39:45 UTC
mc-4.7.0-0.5.pre4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mc-4.7.0-0.5.pre4.fc12

Comment 3 Fedora Update System 2009-12-16 01:14:13 UTC
mc-4.7.0-0.5.pre4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 nucleo 2009-12-27 02:19:08 UTC
With mc-extensions.patch I still get errors when trying to open some files in KDE (I have test it on KDE LiveCD).
For doc, odp, odt command office not found, for jpg command eog not found, for djvu command djview not found.

Comment 5 nucleo 2009-12-27 02:39:13 UTC
At least odt, jpg, djvu are registered file associations in KDE system settings  on KDE LiveCD.
They are could be opened in Dolphin in kword, gwenview and okular.

Comment 6 Jindrich Novy 2010-03-19 13:11:09 UTC
Please try now. mc-4.7.1 should use xdg-open wherever possible. Soit should run correct bindings in KDE as well. If not, xdg-open needs to be fixed.

Comment 7 nucleo 2011-11-06 01:10:57 UTC
I have problems with some file types in mc-4.8.0-2.fc16.
mc tries to open jpg and .png in eog which is not installed in KDE.
djvu tries to open in djview which is also not installed.

Comment 8 nucleo 2011-11-08 14:15:04 UTC
Works fine for me after I changed eog and djview to xdg-open.

Comment 9 Jindrich Novy 2011-11-09 06:24:59 UTC
It is now fixed in rawhide.

Comment 10 nucleo 2011-11-27 15:14:15 UTC
For viewing video files information there was line in "include/video" in mc.ext:

View=%view{ascii} mplayer -identify -vo null -ao null -frames 0 %f 2>&1 | sed -n '/^ID_/p'

But now it is missing there, so it is impossible to view information for video files. In "include/audio" this line still present.

Comment 11 nucleo 2012-03-21 02:50:28 UTC
djview, eog again used instead of xdg-open in mc-4.8.2-1.fc16

Comment 12 Fedora Update System 2012-09-11 16:34:31 UTC
mc-4.8.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mc-4.8.5-1.fc18

Comment 13 Fedora Update System 2012-09-11 16:38:59 UTC
mc-4.8.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mc-4.8.5-1.fc17

Comment 14 Fedora Update System 2012-09-11 16:57:24 UTC
mc-4.8.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mc-4.8.5-1.fc16

Comment 15 Fedora Update System 2012-09-11 19:10:57 UTC
Package mc-4.8.5-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mc-4.8.5-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13795/mc-4.8.5-1.fc18
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2012-09-20 20:33:24 UTC
mc-4.8.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2012-09-21 23:56:05 UTC
mc-4.8.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2012-09-22 00:05:27 UTC
mc-4.8.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Pavel Alexeev 2012-09-22 12:32:42 UTC
It still reproduced:

$ LANG=C mc

Enter on .png file:

/usr/libexec/mc/ext.d/image.sh: line 37: gqview: command not found

Comment 20 Fedora End Of Life 2013-01-17 01:13:19 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 21 Fedora End Of Life 2013-02-14 02:41:51 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.